## -*- coding: utf-8-unix -*-
## NOTE: This spec file is generated by tlpdb2rpmspec 2015-2: 
## tlpdb2rpmspec collection-metapost

%global _use_internal_dependency_generator 0
%global __find_provides %{nil}
%global __find_requires %{nil}

Summary: TeX Live: MetaPost and Metafont packages
Summary(ja): TeX Live: MetaPost and Metafont packages
Name: texlive-collection-metapost
Version: 2015
Release: 2%{?_dist_release}
License: LPPL, Public Domain, GPL+, LPPL 1.3, LGPLv2+, Freely redistributable without restriction
Group: Applications/Publishing
URL:http://www.tug.org/texlive/

Source0: automata.doc.tar.xz
Source1: automata.tar.xz
Source2: bbcard.doc.tar.xz
Source3: bbcard.tar.xz
Source4: blockdraw_mp.doc.tar.xz
Source5: blockdraw_mp.tar.xz
Source6: bpolynomial.doc.tar.xz
Source7: bpolynomial.tar.xz
Source8: cmarrows.doc.tar.xz
Source9: cmarrows.tar.xz
Source10: drv.doc.tar.xz
Source11: drv.tar.xz
Source12: dviincl.doc.tar.xz
Source13: dviincl.tar.xz
Source14: emp.doc.tar.xz
Source15: emp.source.tar.xz
Source16: emp.tar.xz
Source17: epsincl.doc.tar.xz
Source18: epsincl.tar.xz
Source19: expressg.doc.tar.xz
Source20: expressg.source.tar.xz
Source21: expressg.tar.xz
Source22: exteps.doc.tar.xz
Source23: exteps.tar.xz
Source24: featpost.doc.tar.xz
Source25: featpost.tar.xz
Source26: feynmf.doc.tar.xz
Source27: feynmf.source.tar.xz
Source28: feynmf.tar.xz
Source29: feynmp-auto.doc.tar.xz
Source30: feynmp-auto.source.tar.xz
Source31: feynmp-auto.tar.xz
Source32: garrigues.doc.tar.xz
Source33: garrigues.tar.xz
Source34: gmp.doc.tar.xz
Source35: gmp.source.tar.xz
Source36: gmp.tar.xz
Source37: hatching.doc.tar.xz
Source38: hatching.tar.xz
Source39: latexmp.doc.tar.xz
Source40: latexmp.tar.xz
Source41: metago.doc.tar.xz
Source42: metago.tar.xz
Source43: metaobj.doc.tar.xz
Source44: metaobj.tar.xz
Source45: metaplot.doc.tar.xz
Source46: metaplot.tar.xz
Source47: metapost.doc.tar.xz
Source48: metapost.tar.xz
Source49: metauml.doc.tar.xz
Source50: metauml.tar.xz
Source51: mfpic.doc.tar.xz
Source52: mfpic.source.tar.xz
Source53: mfpic.tar.xz
Source54: mfpic4ode.doc.tar.xz
Source55: mfpic4ode.source.tar.xz
Source56: mfpic4ode.tar.xz
Source57: mp3d.doc.tar.xz
Source58: mp3d.tar.xz
Source59: mpcolornames.doc.tar.xz
Source60: mpcolornames.source.tar.xz
Source61: mpcolornames.tar.xz
Source62: mpattern.doc.tar.xz
Source63: mpattern.tar.xz
Source64: mpgraphics.doc.tar.xz
Source65: mpgraphics.source.tar.xz
Source66: mpgraphics.tar.xz
Source67: piechartmp.doc.tar.xz
Source68: piechartmp.tar.xz
Source69: repere.doc.tar.xz
Source70: repere.tar.xz
Source71: roex.source.tar.xz
Source72: roex.tar.xz
Source73: slideshow.doc.tar.xz
Source74: slideshow.tar.xz
Source75: splines.doc.tar.xz
Source76: splines.source.tar.xz
Source77: splines.tar.xz
Source78: suanpan.doc.tar.xz
Source79: suanpan.tar.xz
Source80: textpath.doc.tar.xz
Source81: textpath.tar.xz
Source82: threeddice.doc.tar.xz
Source83: threeddice.tar.xz

Requires: texlive = %{version}
Requires: texlive-collection-basic = %{version}

Requires(post):		texlive = %{version}
Requires(postun):	texlive = %{version}

BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	munepi

%description
The TeX Live software distribution offers a complete TeX system for a
variety of Unix, Macintosh, Windows and other platforms. It
encompasses programs for editing, typesetting, previewing and printing
of TeX documents in many different languages, and a large collection
of TeX macros and font libraries.

The distribution includes extensive general documentation about TeX,
as well as the documentation for the included software packages.

This package is a collection of MetaPost and Metafont packages: 


This package contains the following CTAN packages: 
automata: Finite state machines, graphs and trees in MetaPost.
bbcard: Bullshit bingo, calendar and baseball-score cards.
blockdraw_mp: Block diagrams and bond graphs, with MetaPost.
bpolynomial: Drawing polynomial functions of up to order 3.
cmarrows: MetaPost arrows and braces in the Computer Modern style.
drv: Derivation trees with MetaPost.
dviincl: Include a DVI page into MetaPost output.
emp: "Encapsulate" MetaPost figures in a document.
epsincl: Include EPS in MetaPost figures.
expressg: Diagrams consisting of boxes, lines, and annotations.
exteps: Include EPS figures in MetaPost.
featpost: MetaPost macros for 3D.
feynmf: Macros and fonts for creating Feynman (and other) diagrams.
feynmp-auto: Automatic processing of feynmp graphics.
garrigues: MetaPost macros for the reproduction of Garrigues' Easter nomogram.
gmp: Enable integration between MetaPost pictures and LaTeX.
hatching: MetaPost macros for hatching interior of closed paths.
latexmp: Interface for LaTeX-based typesetting in MetaPost
metago: MetaPost output of Go positions.
metaobj: MetaPost package providing high-level objects.
metaplot: Plot-manipulation macros for use in Metapost.
metapost: A development of Metafont for creating graphics.
metauml: MetaPost library for typesetting UML diagrams.
mfpic: Draw Metafont/post pictures from (La)TeX commands.
mfpic4ode: Macros to draw direction fields and solutions of ODEs.
mp3d: 3D animations.
mpcolornames: Extend list of predefined colour names for MetaPost.
mpattern: Patterns in MetaPost.
mpgraphics: Process and display MetaPost figures inline.
piechartmp: Draw pie-charts using MetaPost.
repere: Diagrams for school mathematics
roex: 
slideshow: Generate slideshow with MetaPost.
splines: MetaPost macros for drawing cubic spline interpolants.
suanpan: MetaPost macros for drawing Chinese and Japanese abaci.
textpath: Setting text along a path with MetaPost.
threeddice: Create images of dice with one, two, or three faces showing, using MetaPost.

%description -l ja
TeX Live ソフトウェアディストリビューションは、
さまざまな Unix, Macintosh, Windows、および
他のプラットホームに対して完全な TeX システムを提供します。
多くの異なった言語を含む TeX ドキュメントの
編集、組版、閲覧、印刷するためのプログラム、
そして、TeX マクロやフォントライブラリの大きなコレクションを
同梱しています。

このディストリビューションは
同梱しているソフトウェアパッケージのためのドキュメントばかりでなく、
TeX に関するたくさんの一般的なドキュメントを含んでいます。

このパッケージは以下のようなパッケージ集です。
MetaPost and Metafont packages: 


このパッケージは以下の CTAN パッケージを含んでいます： 
automata: Finite state machines, graphs and trees in MetaPost.
bbcard: Bullshit bingo, calendar and baseball-score cards.
blockdraw_mp: Block diagrams and bond graphs, with MetaPost.
bpolynomial: Drawing polynomial functions of up to order 3.
cmarrows: MetaPost arrows and braces in the Computer Modern style.
drv: Derivation trees with MetaPost.
dviincl: Include a DVI page into MetaPost output.
emp: "Encapsulate" MetaPost figures in a document.
epsincl: Include EPS in MetaPost figures.
expressg: Diagrams consisting of boxes, lines, and annotations.
exteps: Include EPS figures in MetaPost.
featpost: MetaPost macros for 3D.
feynmf: Macros and fonts for creating Feynman (and other) diagrams.
feynmp-auto: Automatic processing of feynmp graphics.
garrigues: MetaPost macros for the reproduction of Garrigues' Easter nomogram.
gmp: Enable integration between MetaPost pictures and LaTeX.
hatching: MetaPost macros for hatching interior of closed paths.
latexmp: Interface for LaTeX-based typesetting in MetaPost
metago: MetaPost output of Go positions.
metaobj: MetaPost package providing high-level objects.
metaplot: Plot-manipulation macros for use in Metapost.
metapost: A development of Metafont for creating graphics.
metauml: MetaPost library for typesetting UML diagrams.
mfpic: Draw Metafont/post pictures from (La)TeX commands.
mfpic4ode: Macros to draw direction fields and solutions of ODEs.
mp3d: 3D animations.
mpcolornames: Extend list of predefined colour names for MetaPost.
mpattern: Patterns in MetaPost.
mpgraphics: Process and display MetaPost figures inline.
piechartmp: Draw pie-charts using MetaPost.
repere: Diagrams for school mathematics
roex: 
slideshow: Generate slideshow with MetaPost.
splines: MetaPost macros for drawing cubic spline interpolants.
suanpan: MetaPost macros for drawing Chinese and Japanese abaci.
textpath: Setting text along a path with MetaPost.
threeddice: Create images of dice with one, two, or three faces showing, using MetaPost.

%package doc
Summary: TeX Live: Documentation files of %{name}
Group: Applications/Publishing
Requires: %{name} = %{version}-%{release}

%description doc
This package contains documentation files of %{name}.

%prep
%setup -c -n %{name}-%{version}
%__tar -xvf %{SOURCE1}
%__tar -xvf %{SOURCE2}
%__tar -xvf %{SOURCE3}
%__tar -xvf %{SOURCE4}
%__tar -xvf %{SOURCE5}
%__tar -xvf %{SOURCE6}
%__tar -xvf %{SOURCE7}
%__tar -xvf %{SOURCE8}
%__tar -xvf %{SOURCE9}
%__tar -xvf %{SOURCE10}
%__tar -xvf %{SOURCE11}
%__tar -xvf %{SOURCE12}
%__tar -xvf %{SOURCE13}
%__tar -xvf %{SOURCE14}
%__tar -xvf %{SOURCE15}
%__tar -xvf %{SOURCE16}
%__tar -xvf %{SOURCE17}
%__tar -xvf %{SOURCE18}
%__tar -xvf %{SOURCE19}
%__tar -xvf %{SOURCE20}
%__tar -xvf %{SOURCE21}
%__tar -xvf %{SOURCE22}
%__tar -xvf %{SOURCE23}
%__tar -xvf %{SOURCE24}
%__tar -xvf %{SOURCE25}
%__tar -xvf %{SOURCE26}
%__tar -xvf %{SOURCE27}
%__tar -xvf %{SOURCE28}
%__tar -xvf %{SOURCE29}
%__tar -xvf %{SOURCE30}
%__tar -xvf %{SOURCE31}
%__tar -xvf %{SOURCE32}
%__tar -xvf %{SOURCE33}
%__tar -xvf %{SOURCE34}
%__tar -xvf %{SOURCE35}
%__tar -xvf %{SOURCE36}
%__tar -xvf %{SOURCE37}
%__tar -xvf %{SOURCE38}
%__tar -xvf %{SOURCE39}
%__tar -xvf %{SOURCE40}
%__tar -xvf %{SOURCE41}
%__tar -xvf %{SOURCE42}
%__tar -xvf %{SOURCE43}
%__tar -xvf %{SOURCE44}
%__tar -xvf %{SOURCE45}
%__tar -xvf %{SOURCE46}
%__tar -xvf %{SOURCE47}
%__tar -xvf %{SOURCE48}
%__tar -xvf %{SOURCE49}
%__tar -xvf %{SOURCE50}
%__tar -xvf %{SOURCE51}
%__tar -xvf %{SOURCE52}
%__tar -xvf %{SOURCE53}
%__tar -xvf %{SOURCE54}
%__tar -xvf %{SOURCE55}
%__tar -xvf %{SOURCE56}
%__tar -xvf %{SOURCE57}
%__tar -xvf %{SOURCE58}
%__tar -xvf %{SOURCE59}
%__tar -xvf %{SOURCE60}
%__tar -xvf %{SOURCE61}
%__tar -xvf %{SOURCE62}
%__tar -xvf %{SOURCE63}
%__tar -xvf %{SOURCE64}
%__tar -xvf %{SOURCE65}
%__tar -xvf %{SOURCE66}
%__tar -xvf %{SOURCE67}
%__tar -xvf %{SOURCE68}
%__tar -xvf %{SOURCE69}
%__tar -xvf %{SOURCE70}
%__tar -xvf %{SOURCE71}
%__tar -xvf %{SOURCE72}
%__tar -xvf %{SOURCE73}
%__tar -xvf %{SOURCE74}
%__tar -xvf %{SOURCE75}
%__tar -xvf %{SOURCE76}
%__tar -xvf %{SOURCE77}
%__tar -xvf %{SOURCE78}
%__tar -xvf %{SOURCE79}
%__tar -xvf %{SOURCE80}
%__tar -xvf %{SOURCE81}
%__tar -xvf %{SOURCE82}
%__tar -xvf %{SOURCE83}

%build

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && %__rm -rf %{buildroot}

%__mkdir_p %{buildroot}%{_datadir}

## move texmf-dist to /usr/share/texmf-dist
[ -d texmf-dist ] && %__mv texmf-dist %{buildroot}%{_tl_texmfdist}/ ||:

## move texmf to /usr/share/texmf
[ -d texmf ] && %__mv texmf %{buildroot}%{_tl_texmfmain}/ ||:

## move tlpkg to /usr/share/tlpkg
[ -d tlpkg ] && %__mv tlpkg %{buildroot}%{_datadir}/ ||:

## move all non-arch binaries to /usr/bin
[ -d bin ] && %__mv bin %{buildroot}%{_prefix}/ ||:

## move others into /usr/share/texmf-dist
%__mkdir_p %{buildroot}%{_tl_texmfdist}
%__cp -a * %{buildroot}%{_tl_texmfdist}/ ||:
%__rm -rf * ||:


## remove duplicated files between texlive and texlive-collection-*
## NOTE: We provides texmf.cnf and updmap{-hdr,}.cfg from texlive
## remove unpacked files
x=(
scripts/context/stubs/unix/mtxrun
scripts/ptex2pdf/ptex2pdf.lua
scripts/texlive/fmtutil.pl
scripts/texlive/texconfig-dialog.sh 
scripts/texlive/texconfig-sys.sh 
scripts/texlive/texconfig.sh 
scripts/texlive/texlinks.sh 
scripts/texlive/tlmgr.pl 
scripts/texlive/updmap.pl
texconfig/tcfmgr 
web2c/fmtutil.cnf
web2c/mktex.opt 
web2c/mktexdir 
web2c/mktexdir.opt 
web2c/mktexnam 
web2c/mktexnam.opt 
web2c/mktexupd 
web2c/texmf.cnf 
web2c/updmap-hdr.cfg 
web2c/updmap.cfg 
install-tl
)
if [ -d %{buildroot}%{_tl_texmfdist} ]; then
pushd %{buildroot}%{_tl_texmfdist}
%__rm -f ${x[@]} ||:
popd
fi

## Files list
find %{buildroot} -type f -or -type l | \
    %__sed -e "s|%{buildroot}||g" > filelist.full

find %{buildroot}%{_tl_texmfdist} -type d | \
    %__sed -e "s|^%{buildroot}|%dir |" \
           -e "s|$|/|"             >> filelist.full

## subpackages
grep "/texmf-dist/doc/" filelist.full > filelist.doc
cat filelist.doc filelist.full | sort | uniq -u > filelist.tmp
%__mv -f filelist.tmp filelist.full

%clean
%__rm -rf %{buildroot}

%post
%_tl_touch_run texhash
%_tl_touch_run mtxrun

[ -f %{_tl_texmfdist}/web2c/updmap.cfg ] || exit 0

    %_tl_enable_map Map troff-updmap.map

exit 0


%postun
if [ "$1" = 0 ]; then
    %_tl_touch_run texhash

    [ -f %{_tl_texmfdist}/web2c/updmap.cfg ] || exit 0

    %_tl_disable_map troff-updmap.map

fi

exit 0

%posttrans
%{_tl_exec_texhash}
%{_tl_exec_mtxrun}
%{_tl_exec_updmap}
%{_tl_exec_fmtutil}
exit 0


%files -f filelist.full
%defattr(-,root,root,-)

%files -f filelist.doc doc
%defattr(-,root,root,-)

%changelog
* Sun May 24 2015 Munehiro Yamamoto <munepi@vinelinux.org> 2015-2
- TeX Live 2015/pretest
- synced tlnet to 20150522 (TeX Live 2015/pretest)

* Sun Apr 26 2015 Munehiro Yamamoto <munepi@vinelinux.org> 2015-1
- TeX Live 2015/pretest
- synced tlnet to 20150426 (TeX Live 2015/pretest)

* Wed Apr 01 2015 Munehiro Yamamoto <munepi@vinelinux.org> 2014-4
- synced tlnet to 20150401

* Tue Oct 28 2014 Munehiro Yamamoto <munepi@vinelinux.org> 2014-3
- synced tlnet to 20141028

* Sun Jul 06 2014 Munehiro Yamamoto <munepi@vinelinux.org> 2014-2
- synced tlnet to 20140706

* Sun May 25 2014 Munehiro Yamamoto <munepi@vinelinux.org> 2014-1
- upgraded to TeX Live 2014

* Sun Apr 06 2014 Munehiro Yamamoto <munepi@vinelinux.org> 2013-6
- synced tlnet to 20140406

* Wed Dec 18 2013 Munehiro Yamamoto <munepi@vinelinux.org> 2013-5
- synced tlnet to 20131218

* Fri Nov 01 2013 Munehiro Yamamoto <munepi@vinelinux.org> 2013-4
- synced tlnet to 20131101

* Wed Oct 02 2013 Munehiro Yamamoto <munepi@vinelinux.org> 2013-3
- synced tlnet to 20131002

* Thu Sep 19 2013 Munehiro Yamamoto <munepi@vinelinux.org> 2013-2
- synced tlnet to 20130919

* Fri Aug 23 2013 Munehiro Yamamoto <munepi@vinelinux.org> 2013-1
- upgraded to TeX Live 2013
  - used tlnet archives
  - synced tlnet to 20130823
- added macros.texlive

* Fri Aug 10 2012 Munehiro Yamamoto <munepi@vinelinux.org> 2012-1
- updated to TeX Live 2012

* Sat Dec 03 2011 Munehiro Yamamoto <munepi@vinelinux.org> 2011-2
- updated tlpdb2rpmspec.sh.in and dot.vtlpkg.conf.in: 
  - set external dependencies (texlive-collection-binextra, 
    texlive-collection-fontutils)

* Sun Oct 30 2011 Munehiro Yamamoto <munepi@vinelinux.org> 2011-1
- updated to TeX Live 2011
- merged texlive-vtlpkg-2009-osx.patch from OSXWS
- added %doc README (%files)

* Wed Mar 23 2011 Munehiro Yamamoto <munepi@vinelinux.org> 2009-4
- applied texlive-vtlpkg-2009-vine.patch
  - remove arch dependent binaries
- updated tlpdb2rpmspec.sh.in: 
  - improved tlpdb4a()
  - make symlinks of core script utils (texlive-collection-binextra, 
    texlive-collection-context, texlive-collection-fontutils, 
    texlive-collection-langgreek, texlive-collection-langindic, 
    texlive-collection-latex, texlive-collection-latexextra, 
    texlive-collection-latexrecommended, texlive-collection-pictures, 
    texlive-collection-pstricks, texlive-collection-science)

* Wed Jan 12 2011 Munehiro Yamamoto <munepi@vinelinux.org> 2009-3
- updated tlpdb2rpmspec.sh.in: 
  - improved %post

* Sun Sep 26 2010 Munehiro Yamamoto <munepi@vinelinux.org> 2009-2
- updated tlpdb2rpmspec.sh.in: 
  - removed arch dependent binaries (texlive-collection-latexextra)
  - improved updmap process in %post and %postun
  - fixed perl path

* Fri Jul 30 2010 Munehiro Yamamoto <munepi@vinelinux.org> 2009-1
- initial build
